Skip to main content
POST
/
social
/
posts
/
{postId}
/
reschedule
Reschedule a post
curl --request POST \
  --url https://rawugc.com/api/v1/social/posts/{postId}/reschedule \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "scheduledFor": 123,
  "timezone": "UTC"
}
'
{
  "postId": "<string>",
  "platforms": [
    "<string>"
  ],
  "status": "draft",
  "scheduledFor": 123,
  "timezone": "<string>",
  "content": "<string>",
  "videoUrl": "<string>",
  "createdAt": 123,
  "publishedAt": 123
}

Authorizations

Authorization
string
header
required

Use your API key from the RawUGC dashboard. Include as: Authorization: Bearer YOUR_API_KEY

Path Parameters

postId
string
required

Post ID

Body

application/json
scheduledFor
integer
required

New Unix timestamp (ms) for the scheduled publish time

timezone
string
default:UTC

IANA timezone string

Response

Post rescheduled

postId
string

Post ID

platforms
string[]

Platform names

status
enum<string>
Available options:
draft,
scheduled,
published,
failed
scheduledFor
number

Unix timestamp of scheduled publish time

timezone
string
content
string

Post caption

videoUrl
string<uri>
createdAt
number
publishedAt
number